~~~BEGIN_MAIN_SECTION~~~
[PRODUCT]
view=SYS_LOG_VW
~~~END_MAIN_SECTION~~~


~~~BEGIN_VERSION_SECTION~~~
[VERSION]
version=2026-02-25

[SQL_SCRIPT___DEFAULT]


CREATE OR REPLACE VIEW OTHQ_OWN.SYS_LOG_VW AS
select
    ID
    ,EVENT_TIMESTAMP
    ,SEVERITY
    ,TYPE
    ,APPLICATION
    ,COMPONENT
    ,PID
    ,THREAD_ID
    ,RECORD_CNT
    ,HOSTNAME
    ,MISC
    ,FILENAME
    ,LOGFILE
    ,case SEVERITY
        when 0 then 'debug'
        when 1 then 'information'
        when 2 then 'information+'
        when 3 then 'warning'
        when 4 then 'warning+'
        when 5 then 'error'
        when 6 then 'error+'
        when -1 then 'highlight'
        when -2 then 'highlight+'
        when -9 then 'heartbeat'
        when -10 then 'onlylog'        
        else 'N/A'
    end SSEVERITY
    ,case TYPE
        when 0 then 'HEARTBEAT'
        when 1 then 'INFORMATION'
        when 2 then 'WARNING'
        when 3 then 'ERROR'
        else 'N/A'
    end STYPE
from SYS_LOG_TB


~~~END_VERSION_SECTION~~~